︠63f970a9-4ca6-47e9-8897-80b84d75be8bi︠
%md
# Graphing Functions and Solving Equations in Sage Assignment

## Question 0

Watch the lecture video [here](https://vimeo.com/212300555).

Did you watch the video? [Type yes or no.]
︡2fbcdd7b-d17c-4bee-831f-2b2336416351︡{"done":true,"md":"# Graphing Functions and Solving Equations in Sage Assignment\n\n## Question 0\n\nWatch the lecture video [here](https://vimeo.com/212300555).\n\nDid you watch the video? [Type yes or no.]"}
︠eb0ca194-0141-4398-ae70-5c6631ec7fe0i︠
%md
## Question 1

Consider the function $\displaystyle F(x) =\frac{x^3 + x^2 + x}{x^2 - x -2 }$.

[Don't forget parentheses around the numerator and denominator.]

### Part a

Graph this function in Sage with $-5\le x \le 5$. Your graph should not be very nice. The problem is the vertical asymptotes.
︡135269eb-7265-4131-90aa-61bdd6e68900︡{"done":true,"md":"## Question 1\n\nConsider the function $\\displaystyle F(x) =\\frac{x^3 + x^2 + x}{x^2 - x -2 }$.\n\n[Don't forget parentheses around the numerator and denominator.]\n\n### Part a\n\nGraph this function in Sage with $-5\\le x \\le 5$. Your graph should not be very nice. The problem is the vertical asymptotes."}
︠016cffe1-c93d-4a01-a087-165d64273e5fi︠
%md
### Part b

Produce a new graph with $-5\le x\le 5$ and add $\text{ymin}=-20$ and $\text{ymax}=20$. You should see a much nicer graph. Remember, the vertical lines at $x=-1$ and $x=2$ are not actually part of the graph of the function.
︡1433e51c-fd22-4bfa-99c0-09fd0cbe804f︡{"md":"### Part b\n\nProduce a new graph with $-5\\le x\\le 5$ and add $\\text{ymin}=-20$ and $\\text{ymax}=20$. You should see a much nicer graph. Remember, the vertical lines at $x=-1$ and $x=2$ are not actually part of the graph of the function.\n"}︡
︠c5d72903-a34c-4d00-b4b7-d8bd06b21426i︠
%md
## Question 2

Consider the function $h(x)=0.01x^3-x^2+5$.

[Make sure you type $h$ correctly, especially the 0.01 at the front]

### Part a

Graph this function using the default window. Notice that no roots (zeros, x-intercepts) are visible. We know from precalc that a cubic polynomial has at least one and at most three roots.
︡cdecb452-a9cd-44a7-8556-3bcf9ecc86b8︡{"done":true,"md":"## Question 2\n\nConsider the function $h(x)=0.01x^3-x^2+5$.\n\n[Make sure you type $h$ correctly, especially the 0.01 at the front]\n\n### Part a\n\nGraph this function using the default window. Notice that no roots (zeros, x-intercepts) are visible. We know from precalc that a cubic polynomial has at least one and at most three roots."}
︠85ac177d-d6bc-42a2-8b83-d38c648f40b5i︠
%md
### Part b

Create a new plot of $h$ with $-10\le x \le 10$. You should see two roots.
︡86545fba-0f9d-456f-9e66-a12a7883ca7c︡{"md":"### Part b\n\nCreate a new plot of $h$ with $-10\\le x \\le 10$. You should see two roots.\n"}︡
︠76f1036a-ad1b-4df4-9d33-eacaac21746ai︠
%md
### Part c

 If you remember end behavior of polynomials, then you know that the y-values should go up as the x-values get bigger. On the previous graph, the y-values are heading down. That means this curve needs to turn around eventually, and when it does it will have to cross the x-axis again. Now try to graph again with $-10\le x\le 100$. This time, you should see the third root (but the first two may be hard to see now).
︡7265fbb4-1fad-4641-9f16-17a4a7863346︡{"md":"### Part c\n\n If you remember end behavior of polynomials, then you know that the y-values should go up as the x-values get bigger. On the previous graph, the y-values are heading down. That means this curve needs to turn around eventually, and when it does it will have to cross the x-axis again. Now try to graph again with $-10\\le x\\le 100$. This time, you should see the third root (but the first two may be hard to see now).\n"}︡
︠1c00d6c4-7b90-4c1d-bbbf-f776a90c157ei︠
%md
## Question 3

Graph $f(x)=x^3$ and $g(x)=-2(x+1)^3+4$ on the same axes with $-5\le x \le 5$ and $-10 \le y \le 10$.

**Use two different colors and two different line styles.**
︡87c96ffa-3937-4d0e-a884-fbffac35fb2d︡{"done":true,"md":"## Question 3\n\nGraph $f(x)=x^3$ and $g(x)=-2(x+1)^3+4$ on the same axes with $-5\\le x \\le 5$ and $-10 \\le y \\le 10$.\n\n**Use two different colors and two different line styles.**"}
︠7aba3647-eb2e-4105-b6e8-55ca917875d1i︠
%md
## Question 4

Use the solve command to solve for $x$: $\quad x^3 - 4x^2 + x + 6=0$
︡ae246ba0-fb44-41f4-bbe4-7742a37268ba︡{"done":true,"md":"## Question 4\n\nUse the solve command to solve for $x$: $\\quad x^3 - 4x^2 + x + 6=0$"}
︠95d3cef7-a8a4-483d-b024-8913c4e7e11ai︠
%md
## Question 5

Use the solve command to solve for $m$: $\quad\displaystyle \frac{m}{m+a}+\frac{1}{m^2+b}=1$

[Don't forget parentheses around the denominators, and declare variables.]
︡781c42dd-940e-4813-9c09-25725d3a7734︡{"done":true,"md":"## Question 5\n\nUse the solve command to solve for $m$: $\\quad\\displaystyle \\frac{m}{m+a}+\\frac{1}{m^2+b}=1$\n\n[Don't forget parentheses around the denominators, and declare variables.]"}
︠fc92b5ee-5eda-4b35-b428-cc5e81e24832i︠
%md
## Question 6

Consider the equation $x^x=7$.

### Part a

Plot this equation with $0 < x < 3$ (remember to use two equal signs when typing the equation).

[Your graph should have only one curve.]
︡6770a906-f741-41cf-a712-bdebadf6b1a4︡{"done":true,"md":"## Question 6\n\nConsider the equation $x^x=7$.\n\n### Part a\n\nPlot this equation with $0 < x < 3$ (remember to use two equal signs when typing the equation).\n\n[Your graph should have only one curve.]"}
︠72f82166-138d-479f-a160-da011d805237i︠
%md
### Part b

Adjust the plot window (zoom in) to approximate to two decimal places the x-intercept of the graph (this is the solution of the equation).

︡b2092228-3ae5-4e08-adbe-5f7c40c5f0cb︡{"done":true,"md":"### Part b\n\nAdjust the plot window (zoom in) to approximate to two decimal places the x-intercept of the graph (this is the solution of the equation)."}
︠25d4c591-7ae3-431c-8daa-30edf2305d28i︠
%md
### Part c

Use find\_root to solve for $x$.
︡0326ec7f-3624-4ecb-9947-fac97fd99e41︡{"done":true,"md":"### Part c\n\nUse find\\_root to solve for $x$."}
︠3083943b-82bf-4ccc-8b3d-034f76ffc4aei︠
%md
## Question 7

### Part a

Graph both sides of the equation $e^x=x^3$ and adjust the window until you can clearly see two points of intersection.

[Your graph should have two curves.]

**Note: e is not a variable, it is a constant** ($e\approx 2.718$). **Never declare e.**
︡02cc56d4-7032-445e-a92e-f5d54673d512︡{"done":true,"md":"## Question 7\n\n### Part a\n\nGraph both sides of the equation $e^x=x^3$ and adjust the window until you can clearly see two points of intersection.\n\n[Your graph should have two curves.]\n\n**Note: e is not a variable, it is a constant** ($e\\approx 2.718$). **Never declare e.**"}
︠260b4d60-0d79-4987-bb5f-1c0b15988984i︠
%md
### Part b

Solve this equation for $x$ using find\_root (remember, there are two real solutions).
︡371b595f-4bfa-4274-9a69-795964ee0236︡{"done":true,"md":"### Part b\n\nSolve this equation for $x$ using find\\_root (remember, there are two real solutions)."}
︠c845d438-dd11-4462-af1b-d471292159e9i︠
%md
## Question 8

Solve the inequality $x^3-3x > 4x^2+2$ using the solve command.
︡6a19e220-21c4-44cf-a82c-836717a11d7e︡{"done":true,"md":"## Question 8\n\nSolve the inequality $x^3-3x > 4x^2+2$ using the solve command."}
︠2fc10727-011c-4cff-8b6e-da4d4e11f3a4i︠
%html
This material was developed by Aaron Tresham at the University of Hawaii at Hilo and is
<a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-sa/4.0/80x15.png" /></a><br /> licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.
︡7a212488-2c1b-4024-a4e6-f78f66a2dabf︡{"done":true,"html":"This material was developed by Aaron Tresham at the University of Hawaii at Hilo and is\n<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-sa/4.0/\"><img alt=\"Creative Commons License\" style=\"border-width:0\" src=\"https://i.creativecommons.org/l/by-sa/4.0/80x15.png\" /></a><br /> licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-sa/4.0/\">Creative Commons Attribution-ShareAlike 4.0 International License</a>."}
︠37f67ef4-0ab5-4612-836b-0e8323dc6492︠









